
#include <gtk/gtk.h>

void on_btn_ok (GtkButton *button, gpointer   user_data){
  g_print("Button Ok clicked \n");
}

typedef struct{
  GtkWidget* win;
  GtkBuilder *builder;
}UserData;

int main(int argc, char* argv[]){
  UserData udata;
  char* file_name = "exo1.glade";
  
  gtk_init(&argc, &argv);
  udata.builder  = gtk_builder_new_from_file(file_name);
  udata.win = GTK_WIDGET(gtk_builder_get_object(udata.builder, "win") );

  gtk_builder_connect_signals (udata.builder, &udata);
  
  g_signal_connect (G_OBJECT (udata.win), "destroy", (GCallback)gtk_main_quit, NULL);
  
  gtk_widget_show_all(udata.win);
  gtk_main();
  return 0;
}
